/**********************************************************************************
 * Project: GSTU - STU Parameter fitting package                                  *
 * Package: GSTU                                                                  *
 * Class  : A0cFB                                                                 *
 *                                                                                *
 * Description:                                                                   *
 *      Prediction of FB asymmetry of charms                                      *
 *                                                                                *
 * Authors:                                                                       *
 *      Gfitter group                                                             *
 *                                                                                *
 * Redistribution and use in source and binary forms, with or without             *
 * modification, are permitted according to the terms listed in the file          *
 * LICENSE.                                                                       *
 **********************************************************************************/
#ifndef GSTU_A0cFB
#define GSTU_A0cFB

#include "GSTU/SMPredictions.h"

namespace GSTU {

   class A0cFB : public SMPredictions {

   public:
      
      A0cFB();
      ~A0cFB() {}

      // Theory Prediction
      Double_t GetTheoryPrediction();

      // Initialise coefficients
      void Initialise() {}

   protected:
      
      ClassDef(A0cFB,0)
   };
}

#endif
