/**********************************************************************************
 * Project: Gfitter - a Root-integrated toolkit for multivariate data analysis    *
 * Package: Gfitter                                                               *
 * Class  : Obs_alpha                                                             *
 *                                                                                *
 * Description:                                                                   *
 *      Dummy theory                                                              *
 *                                                                                *
 **********************************************************************************/

#ifndef Gfitter_Obs_alpha
#define Gfitter_Obs_alpha

#include "Gfitter/GTheory.h"

namespace GTest {

   

   class Obs_alpha : public Gfitter::GTheory {
    
   public:

      Obs_alpha();
      virtual ~Obs_alpha() {}

      // theory prediction as function of parameters stored in GStore
      Double_t GetTheoryPrediction();

      // not used
      void Initialise() {};
      
   protected:

      Gfitter::GParameterRef m_alpha;

      ClassDef(Obs_alpha,0)
  };
}

#endif
