
## use local ROOT
rootdir=/afs/cern.ch/sw/lcg/app/releases/ROOT/5.26.00/x86_64-slc5-gcc34-opt/root
# this sets up root in PATH, LD_LIBRARY_PATH, PYTHONPATH
{cd ${rootdir}; source ./bin/thisroot.sh; cd -}

## use local python (needed to re-compile with '--enable-shared' configure option)
# put root & python stuff into PATH, LD_LIBRARY_PATH
pythondir=/afs/cern.ch/sw/lcg/external/Python/2.5.4/x86_64-slc5-gcc34-opt
export PATH=${pythondir}/bin:${PATH}
export LD_LIBRARY_PATH=${pythondir}/lib:${LD_LIBRARY_PATH}

source setup.sh

if [ -d ../softsusy ]; then
  cd ../softsusy
  export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${PWD}
  cd -
fi

if [ -d ../superiso/src ]; then
  cd ../superiso/src
  export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${PWD}
  cd -
fi

if [ -d ../micromegas_2.2.CPC ]; then
  cd ../micromegas_2.2.CPC/CalcHEP_src/lib
  export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${PWD}
  cd -
  cd ../micromegas_2.2.CPC/MSSM/work
  export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${PWD}
  cd -
  cd ../micromegas_2.2.CPC/sources
  export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${PWD}
  cd -
  cd ../micromegas_2.2.CPC/MSSM/lib
  export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:${PWD}
  cd -
fi

